Name:		PgsLookAndFeel
Version:	1.1
Release:	11.20090805cvs%{?dist}
Summary:	Nice looking LookAndFeel for Swing
License:	ASL 2.0
URL:		https://pgslookandfeel.dev.java.net/

#This is a cvs snapshot, to get this tarball :
#if you don't have an account in https://www.dev.java.net, create an account via https://www.dev.java.net/servlets/Join
#otherwise set the cvs root and login : cvs -d :pserver:username@cvs.dev.java.net:/cvs login
#then to checkout the project source repository : cvs -d :pserver:username@cvs.dev.java.net:/cvs checkout pgslookandfeel
#this information was taken from https://www.dev.java.net/servlets/ProjectSource
#create the tarball : tar -cjvf PgsLookAndFeel-1.1.tar.bz2 pgslookandfeel

Source0:	%{name}-%{version}.tar.bz2
#Source1: LICENSE file, taken from upstream binary tarball
Source1:	LICENSE.txt
#Source2: README file, taken from upstream binary tarball
Source2:	README.txt

#Patch0: disable checking for a license of jide, since we are using an oss one
Patch0:		PgsLookAndFeel-PlafOptions.java.patch
#Patch1: use the system libraries instead of the provided ones
Patch1:		PgsLookAndFeel-build.xml.patch

BuildArch:	noarch

BuildRequires:	jpackage-utils
BuildRequires:	java-devel >= 1:1.6.0
BuildRequires:	ant
BuildRequires:	laf-plugin
BuildRequires:	jide-oss

Requires:	java >= 1:1.6.0
Requires:	laf-plugin

%description
The PgsLookAndFeel is a nice looking LookAndFeel for Swing.

It aims be a very modern cross-platform LookAndFeel with
nice features and much interaction for users.

%package javadoc
Summary:	User documentation for PgsLookAndFeel

%description javadoc
User documentation for %{name}.

%prep
%setup -q -n pgslookandfeel
%patch0 -p1
%patch1 -p1
#remove any existing compiled classes and jars
find -name '*.jar' -exec rm -f '{}' \;
find -name '*.class' -exec rm -f '{}' \;

#remove CVS files and directories
rm -rf `find -name 'CVS'`

install -p -m 644 %{SOURCE1} .
install -p -m 644 %{SOURCE2} .

# copy resources (build.xml is missing this ...)
install -dm 755 classes/com/pagosoft/plaf/icons
cp -p src/com/pagosoft/plaf/icons/*.png \
	classes/com/pagosoft/plaf/icons
cp -p src/com/pagosoft/plaf/*.properties \
	classes/com/pagosoft/plaf

%build
%ant

%install
install -D -p -m 644 jar/%{name}.jar \
	%{buildroot}%{_javadir}/%{name}.jar
install -D -p -m 644 jar/%{name}-jide.jar \
	%{buildroot}%{_javadir}/%{name}-jide.jar

install -dm 755 %{buildroot}%{_javadocdir}/%{name}
cp -rf -p www/* %{buildroot}%{_javadocdir}/%{name}

%files
%doc *.txt
%{_javadir}/*

%files javadoc
%{_javadocdir}/%{name}

%changelog
* Fri Jun 06 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1-11.20090805cvs
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Fri Mar 21 2014 Michael Simacek <msimacek@redhat.com> - 1.1-10.20090805cvs
- Remove versioned symlinks from javadir
- Update to current guidelines

* Fri Aug 02 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1-9.20090805cvs
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Wed Feb 13 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1-8.20090805cvs
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Wed Jul 18 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1-7.20090805cvs
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Thu Jan 12 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1-6.20090805cvs
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Mon Feb 07 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1-5.20090805cvs
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Thu Aug 05 2009 Hicham HAOUARI <hicham.haouari@gmail.com> 1.1-4.20090805cvs
- Rebuild against jide-oss.

* Wed Aug 05 2009 Hicham HAOUARI <hicham.haouari@gmail.com> 1.1-3.20090805cvs
- Fixed javadoc directory path.

* Wed Jul 22 2009 Hicham HAOUARI <hicham.haouari@gmail.com> 1.1-2.20090721cvs
- Spec cleanup ( https://bugzilla.redhat.com/show_bug.cgi?id=513119#c1 )

* Tue Jul 21 2009 Hicham HAOUARI <hicham.haouari@gmail.com> 1.1-1.20090721cvs
- Initial package for Fedora
